MavenProfileRepository (Grails 6.0.0)

Package: org.grails.cli.profile.repository

## [Groovy] Class MavenProfileRepository

- org.grails.cli.profile.repository.MavenProfileRepository

-     @groovy.transform.CompileStatic
      class MavenProfileRepository
      extends AbstractJarProfileRepository

  Resolves profiles from a configured list of repositories using Aether

  Authors:
    Graeme Rocher
  Since:
    3.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static GrailsRepositoryConfiguration` | `DEFAULT_REPO` |
    `private groovy.lang.GroovyClassLoader` | `classLoader` |
    `private org.springframework.boot.cli.compiler.grape.AetherGrapeEngine` | `grapeEngine` |
    `private GrailsDependencyVersions` | `profileDependencyVersions` |
    `private java.util.List<GrailsRepositoryConfiguration>` | `repositoryConfigurations` |
    `private org.springframework.boot.cli.compiler.grape.DependencyResolutionContext` | `resolutionContext` |
    `private boolean` | `resolved` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractJarProfileRepository` | `DEFAULT_PROFILE_GROUPID, allProfiles, profilesByName, registeredUrls`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `groovy.lang.GroovyClassLoader` | `classLoader`
    `org.springframework.boot.cli.compiler.grape.AetherGrapeEngine` | `grapeEngine`
    `GrailsDependencyVersions` | `profileDependencyVersions`
    `java.util.List<GrailsRepositoryConfiguration>` | `repositoryConfigurations`
    `org.springframework.boot.cli.compiler.grape.DependencyResolutionContext` | `resolutionContext`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MavenProfileRepository (java.util.List<GrailsRepositoryConfiguration> repositoryConfigurations)`
    `MavenProfileRepository ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.util.List<Profile>` | `getAllProfiles()`
    `` | `Profile` | `getProfile(java.lang.String profileName, java.lang.Boolean parentProfile)`
    `` | `Profile` | `getProfile(java.lang.String profileName)`
    `` | `protected java.lang.String` | `parseCurrentVersion(java.io.File localData)`
    `` | `protected void` | `processUrls()`
    `` | `protected Profile` | `resolveProfile(java.lang.String profileName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractJarProfileRepository` | `getAllProfiles, getProfile, getProfile, getProfileAndDependencies, getProfileArtifact, getProfileDirectory, registerProfile, visitTopologicalSort`

- - ### Field Detail

    - #### public static final GrailsRepositoryConfiguration DEFAULT_REPO

    - #### private groovy.lang.GroovyClassLoader classLoader

    - #### private org.springframework.boot.cli.compiler.grape.AetherGrapeEngine grapeEngine

    - #### private GrailsDependencyVersions profileDependencyVersions

    - #### private java.util.List<GrailsRepositoryConfiguration> repositoryConfigurations

    - #### private org.springframework.boot.cli.compiler.grape.DependencyResolutionContext resolutionContext

    - #### private boolean resolved

  - ### Property Detail

    - #### groovy.lang.GroovyClassLoader classLoader

    - #### org.springframework.boot.cli.compiler.grape.AetherGrapeEngine grapeEngine

    - #### GrailsDependencyVersions profileDependencyVersions

    - #### java.util.List<GrailsRepositoryConfiguration> repositoryConfigurations

    - #### org.springframework.boot.cli.compiler.grape.DependencyResolutionContext resolutionContext

  - ### Constructor Detail

    - #### MavenProfileRepository(java.util.List<GrailsRepositoryConfiguration> repositoryConfigurations)

    - #### MavenProfileRepository()

  - ### Method Detail

    - #### @java.lang.Override java.util.List<Profile> getAllProfiles()

    - #### @java.lang.Override Profile getProfile(java.lang.String profileName, java.lang.Boolean parentProfile)

    - #### @java.lang.Override Profile getProfile(java.lang.String profileName)

    - #### @groovy.transform.CompileDynamic protected java.lang.String parseCurrentVersion(java.io.File localData)

    - #### protected void processUrls()

    - #### protected Profile resolveProfile(java.lang.String profileName)